#
# funscript_arena.bsl
#

#Fun Script Arena v1.4

func void main (void){
	## Some settings for the script
	chr_teleport 0 52
	chr_set_health 0 2500
	dmsg "[o.Fun Script Arena] [b. v1.4] [o.made by Script_10k]"
	
	#Let's disable weapon fade, and fade them in a special occasion
	wp_disable_fade=1
	
	#Boss shield for Konoko
	chr_boss_shield 0 1
	
	#No auto aim
	chr_weapon_auto_aim=0
	
	#Don't display boring messages like f1 new combat learned
	ui_suppress_prompt=1
	
	#Doors lock, so the player can't exit of arena
	door_lock 2
	door_lock 4

	#We will break the glass only in a special occasion
	p3_glass_breakable = 0


	## Set the environment
	gl_fog_blue=0.0
	gl_fog_red=0.0
	gl_fog_green=0.0
	gl_fog_start=.985
	gs_farclipplane_set 1000
	
	## Starting the script for real
	startup
	
	## For respawn scripts
	cromometro
}

func void startup(void){
	fork set_moves_fsth
	fork special_thug
	fork bullet_time
	fork first_attack
	fork timer_for_adrenaline
	fork muro_sp
	fork muro_adrenaline
	fork friends
	fork boring_giant
	fork music
}

func void boring_giant(void){
	sleep 15256
	ai2_spawn muro_dummy force
	chr_set_health muro_dummy 1000
	ai2_attack muro_dummy 0
	chr_givepowerup muro_dummy invis
	chr_teleport muro_dummy 52
	chr_giveweapon muro_dummy w9_scr
	sleep 15000
	
	#Let's clean the game, so it don't crash
	
	ai2_reset
	weapon_reset
	p3_killall
	
	dmsg "World Swept"

	ai2_spawn C_Er79 force
	chr_animate C_Er79 KONCOMsuper_kick
	chr_teleport C_Er79 52
	ai2_attack C_Er79 0
	ai2_spawn GrifElite03 force
	chr_animate GrifElite03 KONCOMsuper_kick
	chr_teleport GrifElite03 52
	ai2_attack GrifElite03 0
	fork boring_giant
}


func void muro_sp(void){
	sleep 14000
	ai2_spawn Muro force
	chr_animate Muro KONCOMsuper_kick
	chr_teleport Muro 52
	chr_set_health Muro 1000
	chr_givepowerup Muro ammo -1
	chr_givepowerup Muro cell -1
	chr_givepowerup Muro invis
	chr_boss_shield Muro 1
	ai2_attack Muro 0

	fork muro_sp
}

func void muro_adrenaline(void){
	sleep 8000
	
	#Red Fog for Muro
	gl_fog_blue=0
	gl_fog_red=1
	gl_fog_green=0.0
	gl_fog_start=.9
	
	chr_set_health Muro 1500
	chr_unstoppable Muro 1
	chr_givepowerup Muro invis 450
	slowmo 300
	sleep 300
	chr_invincible Muro 0
	chr_unstoppable Muro 0
	sleep 300
	chr_pain Muro heavy
	chr_set_health Muro 312
	
	#Return Fog
	gl_fog_blue=0.0
	gl_fog_red=0.0
	gl_fog_green=0.0
	gl_fog_start=.985
	gs_farclipplane_set 1000
	
	fork muro_adrenaline
}

func void friends(void){
	sleep 3000

	ai2_spawn Griffin force
	chr_animate Griffin KONCOMsuper_kick
	chr_teleport Griffin 57
	chr_givepowerup Griffin ammo -1
	chr_givepowerup Griffin cell -1
	chr_givepowerup Griffin invis
	chr_boss_shield Griffin 1

	ai2_spawn GrifOps02
	chr_animate GrifOps02 KONCOMsuper_kick
	chr_teleport GrifOps02 57
	chr_givepowerup GrifOps02 ammo -1
	chr_givepowerup GrifOps02 cell -1
	chr_givepowerup GrifOps02 invis
	chr_boss_shield GrifOps02 1

	ai2_spawn GrifOps01
	chr_animate GrifOps01 KONCOMsuper_kick
	chr_teleport GrifOps01 57
	chr_givepowerup GrifOps01 ammo -1
	chr_givepowerup GrifOps01 cell -1
	chr_givepowerup GrifOps01 invis
	chr_boss_shield GrifOps01 1

	fork friends
}

func void first_attack(void){
	ai2_spawn E_Nr36 force
	ai2_spawn D_R31 force
	chr_animate E_Nr36 KONCOMsuper_kick
	chr_animate D_R31 KONCOMsuper_kick
	chr_giveweapon D_R31 w7_scc
	ai2_spawn GrifElite03 force
	ai2_spawn F_Er86 force
	chr_animate GrifElite03 KONCOMsuper_kick
	chr_animate F_Er86 KONCOMsuper_kick
	chr_teleport E_Nr36 52
	chr_teleport F_Er86 57
	chr_teleport GrifElite03 59
	chr_boss_shield GrifElite03 1
	chr_givepowerup GrifElite03 shield
	chr_teleport D_R31 57
	ai2_spawn C_Sb76 force
	chr_animate C_Sb76 KONCOMsuper_kick
	chr_teleport C_Sb76 57
	chr_giveweapon C_Sb76 w7_scc
	chr_givepowerup C_Sb76 shield
	sleep 500
	ai2_spawn E_Nb38 force
	chr_animate E_Nb38 KONCOMsuper_kick
	chr_teleport E_Nb38 59
	ai2_spawn B_Eb16 force
	ai2_spawn new_2 force
	chr_animate B_Eb16 KONCOMsuper_kick
	chr_animate new_2 KONCOMsuper_kick
	chr_teleport B_Eb16 59
	chr_giveweapon B_Eb16 w5_sbg
	chr_teleport new_2 57
	chr_boss_shield new_2 1
	ai2_spawn shooter_dummy force
	chr_animate shooter_dummy KONCOMsuper_kick
	chr_teleport shooter_dummy 52
	fork second_attack
}

func void second_attack(void){
	sleep 7500
	ai2_spawn E_Nr36 force
	ai2_spawn GrifElite05 force
	ai2_spawn GrifElite03 force
	ai2_spawn F_Er86 force
	ai2_spawn A_E3b force
	chr_animate E_Nr36 KONCOMsuper_kick
	chr_animate GrifElite05 KONCOMsuper_kick
	chr_animate GrifElite03 KONCOMsuper_kick
	chr_animate F_Er86 KONCOMsuper_kick
	chr_animate A_E3b KONCOMsuper_kick
	chr_teleport F_Er86 57
	chr_teleport GrifElite03 59
	chr_teleport A_E3b 52
	chr_teleport E_Nr36 52
	chr_boss_shield GrifElite03 1
	chr_givepowerup GrifElite03 shield
	chr_teleport GrifElite05 57
	ai2_spawn C_Sb76 force
	chr_animate C_Sb76 KONCOMsuper_kick
	chr_teleport C_Sb76 57
	chr_giveweapon C_Sb76 w7_scc
	chr_givepowerup C_Sb76 shield
	sleep 500
	ai2_spawn E_Nb38 force
	chr_animate E_Nb38 KONCOMsuper_kick
	chr_teleport E_Nb38 59
	ai2_spawn B_Eb16 force
	ai2_spawn new_2 force
	chr_animate B_Eb16 KONCOMsuper_kick
	chr_animate new_2 KONCOMsuper_kick
	chr_teleport B_Eb16 59
	chr_giveweapon B_Eb16 w5_sbg
	chr_teleport new_2 57
	chr_boss_shield new_2 1
	ai2_spawn E_R46 force
	chr_animate E_R46 KONCOMsuper_kick
	chr_teleport E_R46 57
	sleep 500
	chr_givepowerup 0 ammo
	chr_givepowerup 0 hypo
	sleep 6500
	fork second_attack
}

func void bullet_time(void){
	sleep 5000
	p3_furniture_breakable=1
	p3_glass_breakable = 1
	slowmo 120
	sleep 120
	p3_furniture_breakable=0
	p3_glass_breakable = 0
	fork bullet_time
}

func void special_thug(void){
	sleep 3000
	ai2_spawn target_dummy force
	chr_animate target_dummy KONCOMsuper_kick
	chr_teleport target_dummy 57
	chr_ultra_mode target_dummy 1
	chr_giveweapon target_dummy w1_tap
	ai2_attack target_dummy 0
	chr_givepowerup target_dummy invis -1
	chr_givepowerup target_dummy ammo -1
	chr_wait_health target_dummy 0
	sleep 3000
	fork special_thug
}

func void set_moves_fsth(void){
	## Set special moves to the special thug
	fork ninja_ppp 
	fork muro_kick 
	fork ninja_k_air
}

func void ninja_ppp(void){
	chr_wait_animation target_dummy THUCOMcomb_p
	sleep 30
	chr_animate target_dummy NINCOMcomb_p
	sleep 30
	chr_animate target_dummy NINCOMcomb_p_p
	sleep 30
	chr_animate target_dummy NINCOMcomb_p_p_p
	fork ninja_ppp
}

func void muro_kick(void){
	chr_wait_animation target_dummy THUCOMpunch_fw
	sleep 30
	chr_animate target_dummy MURCOMkick_heavy
	fork muro_kick
}

func void ninja_k_air(void){
	chr_wait_animation target_dummy THUCOMcomb_k
	sleep 30
	chr_animate target_dummy NINCOMkick_heavy
	fork ninja_k_air
}

func void adrenaline(void){
	m3_fill_solid = 0
	chr_invincible 0 1
	chr_set_health 0 1000
	chr_unstoppable 0 1
	chr_givepowerup 0 invis 450
	gs_show_ui = 0
	slowmo 300
	sleep 300
	m3_fill_solid = 1
	chr_invincible 0 0
	gs_show_ui = 1
	chr_unstoppable 0 0
	sleep 300
	chr_pain 0 heavy
	chr_set_health 0 200
	dmsg "I'm feeling dizzy"
	timer_start 5 timer_for_adrenaline
}

func void timer_for_adrenaline(void)
{
timer_start 80 adrenaline
}


func void you_lose(void)
{
	lives = lives + 1
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[o.7]"
	sleep 60
	message_remove
	fork cromometro
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[o.6]"
	sleep 60
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[o.5]"
	sleep 60
	message_remove
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[o.4]"
	sleep 60
	message_remove
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[b.3]"
	sleep 60
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[b.2]"
	sleep 60
	message_remove
	dmsg "[b. Want respawn? If yes please wait] [o. 7 seconds] if no [r. exit.]"
	dmsg "[b.1]"
	sleep 55
	message_remove
	dmsg "[g.0]"
	chr_set_health 0 200
	sleep 10
	message_remove
}

var int lives=0;

func void cromometro(void)
{
	if (lives eq 1)
	{
	sleep 550
	dmsg "[r. You died][y. 1][r. time already.]"
	}

	if (lives eq 2)
	{
	sleep 550
	dmsg "[r. You died][y. 2][r. times already.]"
	}

	if (lives eq 3)
	{
	sleep 550
	dmsg "[r. You died][y. 3][r. times already.]"
	}

	if (lives eq 4)
	{
	sleep 550
	dmsg "[r. You died][y. 4][r. times already.]"
	}

	if (lives eq 5)
	{
	sleep 550
	dmsg "[r. You died][y. 5][r. times already.]"
	}

	if (lives eq 6)
	{
	sleep 550
	dmsg "[r. You died][y. 6][r. times already.]"
	}

	if (lives eq 7)
	{
	sleep 550
	dmsg "[r. You died][y. 7][r. times already.]"
	}

	if (lives eq 8)
	{
	sleep 550
	dmsg "[r. You died][y. 8][r. times already.]"
	}

	if (lives eq 9)
	{
	sleep 550
	dmsg "[r. You died][y. 9][r. times already.]"
	}

	if (lives eq 10)
	{
	sleep 550
	dmsg "[r. You died][y. 10][r. times already.]"
	}

	if (lives eq 11)
	{
	sleep 550
	dmsg "[r. You died][y. 11][r. times already.]"
	}

	if (lives eq 12)
	{
	sleep 550
	dmsg "[r. You died][y. 12][r. times already.]"
	}

	if (lives eq 13)
	{
	sleep 550
	dmsg "[r. You died][y. 13][r. times already.]"
	}

	if (lives eq 14)
	{
	sleep 550
	dmsg "[r. You died][y. 14][r. times already.]"
	}

	if (lives eq 15)
	{
	sleep 550
	dmsg "[r. You died][y. 15][r. times already.]"
	}

	if (lives eq 16)
	{
	sleep 550
	dmsg "[r. You died][y. 16][r. times already.]"
	}

	if (lives eq 17)
	{
	sleep 550
	dmsg "[r. You died][y. 17][r. times already.]"
	}

	if (lives eq 18)
	{
	sleep 550
	dmsg "[r. You died][y. 18][r. times already.]"
	}

	if (lives eq 19)
	{
	sleep 550
	dmsg "[r. You died][y. 19][r. times already.]"
	}

	if (lives eq 20)
	{
	sleep 550
	dmsg "[r. You died][y. 20][r. times already.]"
	}

	if (lives > 20)
	{
	sleep 550
	dmsg "[r. You died][y. more than 20][r. times already.]"
	}
	#fork cromometro
}

func void
music(
	void)
{
	sound_music_start mus_main03_hd
	sleep 9000
	sound_music_stop mus_main03_hd
	sleep 500
	sound_music_start mus_ot
	sleep 9000
	sound_music_stop mus_ot
	sleep 500
	sound_music_start mus_om01
	sleep 9000
	sound_music_stop mus_om01
	sleep 500
	sound_music_start mus_asianb
	sleep 9000
	sound_music_stop mus_asianb
	sleep 500
	fork music
}

##########################################
